IM_REPLICATE(3)

NAME
im_replicate - replicate an image horizontally and vertically

SYNOPSIS
#include <vips/vips.h> int
im_replicate( IMAGE *in, IMAGE *out,
  int across, int down )

DESCRIPTION
im_replicate(3) repeats image in across and down a fixed number of times to make a new larger image. The current implementation is optimised for the case where image in is small and across and down are large.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_extract_area(3), im_zoom(3)

COPYRIGHT
National Gallery 2003